const template = {

    /**
     * Возвращает строку, построенную по шаблону
     * @method  build
     * @param   {String}  pattern  шаблон
     * @param   {Object|Array}  data  данные для подстановки в шаблон
     * @returns {String}
     */
    build(pattern, data) {
        return pattern.replace(/\$\{([^\{\}]+)\}/g, (match, name) => data[name]);
    },

};

export default template;
